Package oracle.nosql.driver.ops

## Enum PutRequest.Option

- java.lang.Object
- - java.lang.Enum<PutRequest.Option>
  - - oracle.nosql.driver.ops.PutRequest.Option

- All Implemented Interfaces:
    `Serializable`, `Comparable<PutRequest.Option>`
  Enclosing class:
    PutRequest

      public static enum PutRequest.Option
      extends Enum<PutRequest.Option>

  Specifies a condition for the put operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IfAbsent` | Put should only succeed if the row does not exist.
    `IfPresent` | Put should only succeed if the row exists.
    `IfVersion` | Put should succeed only if the row exists and its Version matches the one specified match version using `PutRequest.setMatchVersion(oracle.nosql.driver.Version)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PutRequest.Option` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PutRequest.Option[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IfAbsent

          public static final PutRequest.Option IfAbsent

      Put should only succeed if the row does not exist.

    - #### IfPresent

          public static final PutRequest.Option IfPresent

      Put should only succeed if the row exists.

    - #### IfVersion

          public static final PutRequest.Option IfVersion

      Put should succeed only if the row exists and its Version matches the one specified match version using `PutRequest.setMatchVersion(oracle.nosql.driver.Version)`

  - ### Method Detail

    - #### values

          public static PutRequest.Option[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PutRequest.Option c : PutRequest.Option.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PutRequest.Option valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null